package com.utopiaindustries.hseobservationsapp.utils.StorageManager;

import java.util.List;

public class InjuryRecordModel {
    private int workerId;
    private String workerType;

    private int kpiId;
    private String KpiName;

    private int incidentId;
    private String incidentName;

    private int injuryId;
    private String injuryName;

    private int injuryTypeId;
    private String injuryTypeName;

    private int bodyPartId;
    private String bodyPartName;

    private int riskLevelId;
    private String riskLevel;

    private String description;

    private List<byte[]> pictures;

    public int getWorkerId() {
        return workerId;
    }

    public void setWorkerId(int workerId) {
        this.workerId = workerId;
    }

    public String getKpiName() {
        return KpiName;
    }

    public void setKpiName(String kpiName) {
        KpiName = kpiName;
    }

    public int getBodyPartId() {
        return bodyPartId;
    }

    public void setBodyPartId(int bodyPartId) {
        this.bodyPartId = bodyPartId;
    }

    public String getBodyPartName() {
        return bodyPartName;
    }

    public void setBodyPartName(String bodyPartName) {
        this.bodyPartName = bodyPartName;
    }

    public int getInjuryTypeId() {
        return injuryTypeId;
    }

    public void setInjuryTypeId(int injuryTypeId) {
        this.injuryTypeId = injuryTypeId;
    }

    public String getInjuryTypeName() {
        return injuryTypeName;
    }

    public void setInjuryTypeName(String injuryTypeName) {
        this.injuryTypeName = injuryTypeName;
    }

    public List<byte[]> getPictures() {
        return pictures;
    }

    public void setPictures(List<byte[]> pictures) {
        this.pictures = pictures;
    }

    public int getIncidentId() {
        return incidentId;
    }

    public void setIncidentId(int incidentId) {
        this.incidentId = incidentId;
    }

    public String getIncidentName() {
        return incidentName;
    }

    public void setIncidentName(String incidentName) {
        this.incidentName = incidentName;
    }

    public int getRiskLevelId() {
        return riskLevelId;
    }

    public void setRiskLevelId(int riskLevelId) {
        this.riskLevelId = riskLevelId;
    }

    public String getRiskLevel() {
        return riskLevel;
    }

    public void setRiskLevel(String riskLevel) {
        this.riskLevel = riskLevel;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getWorkerType() {
        return workerType;
    }

    public void setWorkerType(String workerType) {
        this.workerType = workerType;
    }

    public int getKpiId() {
        return kpiId;
    }

    public void setKpiId(int kpiId) {
        this.kpiId = kpiId;
    }

    public int getInjuryId() {
        return injuryId;
    }

    public void setInjuryId(int injuryId) {
        this.injuryId = injuryId;
    }

    public String getInjuryName() {
        return injuryName;
    }

    public void setInjuryName(String injuryName) {
        this.injuryName = injuryName;
    }

    @Override
    public String toString() {
        return "InjuryRecordModel{" +
                "employeeId=" + workerId +
                ", Kpi='" + KpiName + '\'' +
                ", incidentTypeId=" + incidentId +
                ", incidentTypeName='" + incidentName + '\'' +
                ", injuryTypeId=" + injuryTypeId +
                ", injuryTypeName='" + injuryTypeName + '\'' +
                ", bodyPartId=" + bodyPartId +
                ", bodyPartName='" + bodyPartName + '\'' +
                ", riskTypeId=" + riskLevelId +
                ", riskTypeName='" + riskLevel + '\'' +
                ", description='" + description + '\'' +
                ", pictures=" + pictures +
                '}';
    }
}
