
package com.utopiaindustries.hseobservationsapp.models.HseData;

import java.util.List;
import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

public class HseResponse {

    @SerializedName("hseInjuryTypes")
    @Expose
    private List<HseInjuryType> hseInjuryTypes;
    @SerializedName("hseFloors")
    @Expose
    private List<HseFloor> hseFloors;
    @SerializedName("hseObservationSubClasses")
    @Expose
    private List<HseObservationSubClass> hseObservationSubClasses;
    @SerializedName("recordTypes")
    @Expose
    private List<RecordType> recordTypes;
    @SerializedName("hseObservationClasses")
    @Expose
    private List<HseObservationClass> hseObservationClasses;
    @SerializedName("hseActivities")
    @Expose
    private List<HseActivity> hseActivities;
    @SerializedName("sites")
    @Expose
    private List<Site> sites;
    @SerializedName("hseDepartment")
    @Expose
    private List<HseDepartment> hseDepartment;
    @SerializedName("hseKpis")
    @Expose
    private List<HseKpi> hseKpis;
    @SerializedName("hseIncidentTypes")
    @Expose
    private List<HseIncidentType> hseIncidentTypes;
    @SerializedName("hseInjuredBodyPart")
    @Expose
    private List<HseInjuredBodyPart> hseInjuredBodyPart;
    @SerializedName("hsePtwType")
    @Expose
    private List<HsePtwType> hsePtwType;
    @SerializedName("hseSafetyTrainingTopics")
    @Expose
    private List<HseSafetyTrainingTopic> hseSafetyTrainingTopics;
    @SerializedName("hseBuildings")
    @Expose
    private List<HseBuilding> hseBuildings;
    @SerializedName("hseWorkingTeam")
    @Expose
    private List<HseWorkingTeam> hseWorkingTeam;
    @SerializedName("hseInjuries")
    @Expose
    private List<HseInjury> hseInjuries;
    @SerializedName("supervisors")
    @Expose
    private List<Supervisor> supervisors;

    public List<HseInjuryType> getHseInjuryTypes() {
        return hseInjuryTypes;
    }

    public void setHseInjuryTypes(List<HseInjuryType> hseInjuryTypes) {
        this.hseInjuryTypes = hseInjuryTypes;
    }

    public List<HseFloor> getHseFloors() {
        return hseFloors;
    }

    public void setHseFloors(List<HseFloor> hseFloors) {
        this.hseFloors = hseFloors;
    }

    public List<HseObservationSubClass> getHseObservationSubClasses() {
        return hseObservationSubClasses;
    }

    public void setHseObservationSubClasses(List<HseObservationSubClass> hseObservationSubClasses) {
        this.hseObservationSubClasses = hseObservationSubClasses;
    }

    public List<RecordType> getRecordTypes() {
        return recordTypes;
    }

    public void setRecordTypes(List<RecordType> recordTypes) {
        this.recordTypes = recordTypes;
    }

    public List<HseObservationClass> getHseObservationClasses() {
        return hseObservationClasses;
    }

    public void setHseObservationClasses(List<HseObservationClass> hseObservationClasses) {
        this.hseObservationClasses = hseObservationClasses;
    }

    public List<HseActivity> getHseActivities() {
        return hseActivities;
    }

    public void setHseActivities(List<HseActivity> hseActivities) {
        this.hseActivities = hseActivities;
    }

    public List<Site> getSites() {
        return sites;
    }

    public void setSites(List<Site> sites) {
        this.sites = sites;
    }

    public List<HseDepartment> getHseDepartment() {
        return hseDepartment;
    }

    public void setHseDepartment(List<HseDepartment> hseDepartment) {
        this.hseDepartment = hseDepartment;
    }

    public List<HseKpi> getHseKpis() {
        return hseKpis;
    }

    public void setHseKpis(List<HseKpi> hseKpis) {
        this.hseKpis = hseKpis;
    }

    public List<HseIncidentType> getHseIncidentTypes() {
        return hseIncidentTypes;
    }

    public void setHseIncidentTypes(List<HseIncidentType> hseIncidentTypes) {
        this.hseIncidentTypes = hseIncidentTypes;
    }

    public List<HseInjuredBodyPart> getHseInjuredBodyPart() {
        return hseInjuredBodyPart;
    }

    public void setHseInjuredBodyPart(List<HseInjuredBodyPart> hseInjuredBodyPart) {
        this.hseInjuredBodyPart = hseInjuredBodyPart;
    }

    public List<HsePtwType> getHsePtwType() {
        return hsePtwType;
    }

    public void setHsePtwType(List<HsePtwType> hsePtwType) {
        this.hsePtwType = hsePtwType;
    }

    public List<HseSafetyTrainingTopic> getHseSafetyTrainingTopics() {
        return hseSafetyTrainingTopics;
    }

    public void setHseSafetyTrainingTopics(List<HseSafetyTrainingTopic> hseSafetyTrainingTopics) {
        this.hseSafetyTrainingTopics = hseSafetyTrainingTopics;
    }

    public List<HseBuilding> getHseBuildings() {
        return hseBuildings;
    }

    public void setHseBuildings(List<HseBuilding> hseBuildings) {
        this.hseBuildings = hseBuildings;
    }

    public List<HseWorkingTeam> getHseWorkingTeam() {
        return hseWorkingTeam;
    }

    public void setHseWorkingTeam(List<HseWorkingTeam> hseWorkingTeam) {
        this.hseWorkingTeam = hseWorkingTeam;
    }


    public List<HseInjury> getHseInjuries() {
        return hseInjuries;
    }

    public void setHseInjuries(List<HseInjury> hseInjuries) {
        this.hseInjuries = hseInjuries;
    }

    public List<Supervisor> getSupervisors() {
        return supervisors;
    }

    public void setSupervisors(List<Supervisor> supervisors) {
        this.supervisors = supervisors;
    }

}
